﻿@using Microsoft.AspNetCore.Builder;
@using Microsoft.Extensions.Options;
@inject IOptions<RequestLocalizationOptions> requestLocalizationOptions

<li class="dropdown">
    <a class="dropdown-toggle" data-toggle="dropdown" href="#">
        <i class="glyphicon glyphicon-globe"></i>
    </a>
    <ul class="dropdown-menu">
        @foreach (var item in requestLocalizationOptions.Value.SupportedCultures)
        {
            <li>
                
                <a asp-controller="Language" asp-action="Index"
                   asp-route-returnurl="@Context.Request.Path"
                   asp-route-cultureName="@item.Name">

                    @if (item.IetfLanguageTag == "en")
                    {
                        <span style="width:14px; height:10px; display:inline-block" class="flag-icon-gb"></span>
                    }
                    else
                    {
                        <span style="width:14px; height:10px; display:inline-block" class="flag-icon-@item.IetfLanguageTag"></span>
                    }
                    @item.DisplayName
                </a>
            </li>
        }
    </ul>
</li>
